# Interface ServiceProvider

An object that defines how a service is constructed.

It must define a `$get` property that provides the instance of the service, either as a plain factory function or as an AnnotatedFactory.

interface ServiceProvider {
$get: Injectable;
}

- Defined in src/interface.ts:42

##### Index

### Properties

$get

## Properties

### $get

$get: Injectable

- Defined in src/interface.ts:43